<?php
	// import
	require dirname(__FILE__) . '/countries.data.php';

	/**
	 * dynpg_install_InitLanguageProc()
	 *
	 * @param string $lang
	 * @return object
	 */
	function dynpg_install_InitLanguageProc($lang = 'de') {
		if (empty($lang))
			$lang = 'de';

		require_once dirname(__FILE__) . '/../plugins/languages.php';
		require_once dirname(__FILE__) . '/../localised/dynpg_backend/' . $lang . '.lang.php';

		return new TLanguage(strtolower($lang), 'dynpg_backend');
	}

    /**
     * dynpg_install_IsModuleInstalled()
     *
     * @param string $_module
     * @return
     */
    function dynpg_install_IsModuleInstalled($_module) {
        $_arr_modules = Array( 'gb'     => Array(1, 'DPGguestbook', TRUE),
                               'bog'    => Array(2, 'DPGshop', TRUE),
                               'votes'  => Array(3, 'votes', FALSE),
                               'stock'  => Array(4, 'DPGshop/handlestock.php', TRUE),
                               'forum'  => Array(5, 'forum', FALSE),
                               'gallery' => Array(6, 'DPGgallery', TRUE) );

        if ( !$_arr_modules[$_module][2] ) {
            // module is not plugin

            $absolute_path = '../' . 'handle' . $_arr_modules[$_module][1] . '.php';

            return ( file_exists($absolute_path) );
        } else {
            // module is a plugin

            $absolute_path = '../plugins/' . $_arr_modules[$_module][1] . '/';

            return ( is_dir($absolute_path) || file_exists($absolute_path) );
        }
    }
?>